POST/api/v1/security/model-scan

Trigger a model scan

Starts a model-security scan on an already-uploaded artifact. Async — poll the scan ID for status.

Authentication

Send Authorization: Bearer YOUR_API_KEY on every request. Generate API keys at /dashboard/api-keys.

Request body required

Example

{
  "model_id": "00000000-0000-0000-0000-000000000000",
  "scan_types": [
    "pickle"
  ]
}
Schema
{
  "application/json": {
    "schema": {
      "type": "object",
      "required": [
        "model_id"
      ],
      "properties": {
        "model_id": {
          "type": "string",
          "format": "uuid"
        },
        "scan_types": {
          "type": "array",
          "items": {
            "type": "string",
            "enum": [
              "pickle",
              "safetensors",
              "backdoor",
              "ml-bom"
            ]
          }
        }
      }
    }
  }
}

Response

202 example

{
  "scan_id": "00000000-0000-0000-0000-000000000000"
}

All status codes

202Scan queued.
400(no description)
401(no description)
429(no description)

Code samples

cURL

curl -X POST \
  https://evalguard.ai/api/v1/security/model-scan \
  -H "Authorization: Bearer $EVALGUARD_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{ "model_id": "00000000-0000-0000-0000-000000000000", "scan_types": [ "pickle" ] }'

TypeScript

import { EvalGuard } from "@evalguard/sdk";

const client = new EvalGuard({ apiKey: process.env.EVALGUARD_API_KEY });

const response = await client.request({
  method: "POST",
  path: "/api/v1/security/model-scan",
  body: {
    "model_id": "00000000-0000-0000-0000-000000000000",
    "scan_types": [
      "pickle"
    ]
  },
});
console.log(response);

Python

from evalguard import EvalGuard
import os

client = EvalGuard(api_key=os.environ["EVALGUARD_API_KEY"])

response = client.request(
    method="POST",
    path="/api/v1/security/model-scan",
    body={
    "model_id": "00000000-0000-0000-0000-000000000000",
    "scan_types": [
        "pickle"
    ]
},
)
print(response)

Go

package main

import (
	"context"
	"fmt"
	"os"

	"github.com/evalguard/evalguard-go"
)

func main() {
	client := evalguard.NewClient(os.Getenv("EVALGUARD_API_KEY"))
	resp, err := client.Request(context.Background(), "POST", "/api/v1/security/model-scan", map[string]any{"model_id": "00000000-0000-0000-0000-000000000000", "scan_types": []any{"pickle"}})
	if err != nil { panic(err) }
	fmt.Println(resp)
}

Errors

400401429

Other Security endpoints